Subject: bug#15545: closed (Re: bug#15545: Compilation error with clang with guile 1.8.8)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jan 2014 21:09:02 +0000

Your bug report

#15545: Compilation error with clang with guile 1.8.8

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15545: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15545
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15545: Compilation error with clang with guile 1.8.8
From: Mark H Weaver <[email-masked]>
To: Matt Sicker <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Jan 2014 16:06:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Matt Sicker <[email-masked]> writes:
> I've attached the log from running make with the autogen project
> (which depends on guile). As a quick summary, the compiler issue seems
> to be due to the use of the variable name "noreturn" in
> libguile/throw.h, line 94, in the function declaration scm_ithrow().

I fixed this in November, but I forgot to close this bug.

http://git.savannah.gnu.org/gitweb/?p=guile.git;a=commitdiff;h=36c40440078c005cd5e239cca487d29f6f60007d

This fix will be in Guile 2.0.10.  We no longer support Guile 1.8.x.

    Regards,
      Mark

Subject: Compilation error with clang with guile 1.8.8
From: Matt Sicker <[email-masked]>
To: [email-masked]
Date: Sun, 6 Oct 2013 14:44:32 -0500

I've attached the log from running make with the autogen project (which
depends on guile). As a quick summary, the compiler issue seems to be due
to the use of the variable name "noreturn" in libguile/throw.h, line 94, in
the function declaration scm_ithrow(). As I'm not very familiar with C++11,
I don't know if this is a compiler bug on clang's end,
implementation-defined behaviour on both clang's and gcc's ends, or a
problem on your part with using a C++11 keyword as an argument name.

Also, while compiling guile itself, I get the following message:

-- 
Matt Sicker <[email-masked]>